<?php

namespace Drupal\group_notify\Plugin;

use Drupal\gnode\Plugin\GroupContentEnabler\GroupNode;
use Drupal\Core\Form\FormStateInterface;

class NotifyGroupNode extends GroupNode {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);

    $form['notify'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Notify group members'),
      '#description' => $this->t('Send an email when group content is added.'),
      '#default_value' => $this->configuration['notify'] ?? FALSE
    ];

    return $form;
  }

}

